Eclipse导入android项目出现很多错误

Eclipse导入android项目出现很多错误

【问题描述】
      使用Eclipse导入别人正确的android项目,会出现很多未知的错误。如下面的AndroidTest项目,在别人的Eclipse上是完全正常,而当导入到其他版本的Eclipse就会出现错误 The import android.support.v7 cannot be resolved错误,ActionBarActivity cannot be resolved to a type错误,error: Error retrieving parent for item: No resource found that matches the given name 'Theme.AppCompat.Light'等错误。
       这主要是版本配置的问题。主要原因是未导入该Android项目依赖的支持库文件:appcompat_v7

【appco mpat_v7】
      appcompat_v7是Google自己的一个兼容包,就是一个支持库,能让2.1以上全使用上4.0版本的界面。一般在创建新项目时,会自动导入。如果想要不要它,可在新建项目时直接把最小SDK(Minimum Required SDK)选在Android4.0以上即可。

      
      由于导入别人 Android 项目的最小SDK小于4.0,而本地导入项目时,并未把appcompat_v7导入,因此会出现错误。解决办法多种
【解决方法1】在本地Eclipse,新建一个Android项目,最小SDK版本(Minimum Required SDK)小于4.0即可。这时新建完成后,会自动生成一个appcompat_v7文件,这时Project-->clean一下就没有错误啦。



【解决方法2】导入appcompat_v7文件即可:下载地址http://download.csdn.net/detail/guyuealian/9548401 
然后点击:File-->Import导入后,再Clean即可~!


转载请注明出处】http://blog.csdn.net/guyuealian/article/details/51659793
pan_jinquan CSDN认证博客专家 机器学习 视觉/OpenCV 自然语言处理
计算机视觉研究员,图像算法研究员,主要从事人脸检测,人脸识别,活体识别以及2D/3DPose(人体姿态估计)等深度学习人工智能算法研究工作.
©️2020 CSDN 皮肤主题: Age of Ai 设计师:meimeiellie 返回首页